import { getCurrentInstance } from '@vue/composition-api';
import ziggy from 'ziggy-js';
/** Get head manager instance (For Composition api) */
export function useHeadManager() {
    /** Get Instance */
    const instance = getCurrentInstance();
    if (!instance) {
        throw new Error(`Should be used in setup().`);
    }
    return instance.proxy.$headManager;
}
/** Get page instance (For Composition api) */
export function usePage() {
    /** Get Instance */
    const instance = getCurrentInstance();
    if (!instance) {
        throw new Error(`Should be used in setup().`);
    }
    return instance.proxy.$page;
}
/** Get inertia instance (For Composition api) */
export function useInertia() {
    /** Get Instance */
    const instance = getCurrentInstance();
    if (!instance) {
        throw new Error(`Should be used in setup().`);
    }
    return instance.proxy.$inertia;
}
/** Get route instance (For Composition api) */
export function route(...args) {
    /** Get Instance */
    const instance = getCurrentInstance();
    if (!instance) {
        // if not instance get ziggy directly
        // @ts-ignore
        return ziggy(args);
        // throw new Error(`Should be used in setup().`);
    }
    return instance.proxy.route(args);
}
//# sourceMappingURL=index.js.map